/**
* @projectName   XinHu_ASC
* @brief         摘要
*   监控机控制模块
* @author        ZhangYL
* @date          2022-02-16
*/
#ifndef HKVIDEOCONTROL_H
#define HKVIDEOCONTROL_H

#include <QObject>
#include <QThread>
#include <QDateTime>
#include <QTimer>
#include "HCNetSDK.h"
#include <windows.h>
using namespace std;
class HkVideoControl : public QObject
{
    Q_OBJECT
public:
    explicit HkVideoControl(QObject *parent = nullptr);
    bool initSDK();
    bool uninitSDK();
signals:
    void Send_UserID(long userID);
public slots:
    void HkVideo_Login(QString ip,int port,QString user,QString pwd);   //连接监控机
private:
    long userID;
};

#endif // HKVIDEOCONTROL_H
